## qt6-quickeffectmaker 6.8.3

=== nodes/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

## qt6-quickeffectmaker 6.8.2

=== debian/changelog ===
qt6-quickeffectmaker (6.8.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Mar 2025 12:58:17 +0100

qt6-quickeffectmaker (6.8.2-1) experimental; urgency=medium

  * Initial release. (Closes: #1072900)

 -- Patrick Franz <deltaone@debian.org>  Tue, 18 Feb 2025 21:15:16 +0100

=== debian/control ===
Source: qt6-quickeffectmaker
Section: devel
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-qmldeps,
               cmake (>= 3.24~),
               libxkbcommon-dev,
               ninja-build,
               pkgconf,
               qt6-base-dev (>= 6.8.2+dfsg~),
               qt6-base-private-dev (>= 6.8.2+dfsg~),
               qt6-declarative-dev (>= 6.8.2+dfsg~),
               qt6-declarative-private-dev (>= 6.8.2+dfsg~),
               qt6-quick3d-dev (>= 6.8.2~),
               qt6-quick3d-private-dev (>= 6.8.2~),
               qt6-shadertools-dev (>= 6.8.2~),
Build-Depends-Indep: qdoc-qt6 (>= 6.8~) <!nodoc>,
                     qt6-base-dev (>= 6.8~) <!nodoc>,
                     qt6-documentation-tools (>= 6.8~) <!nodoc>,
Standards-Version: 4.7.0
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-quickeffectmaker
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-quickeffectmaker.git

Package: qqem-qt6
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick Effect Maker
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Quick Effect Maker, an editor for creating
 and editing custom shader effects.

Package: qt6-quickeffectmaker-doc
Architecture: all
Section: doc
Depends: qt6-base-doc, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 Quick Effect Maker documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for Qt 6 Quick Effect Maker.

Package: qt6-quickeffectmaker-doc-dev
Architecture: all
Section: libdevel
Depends: ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 Quick Effect Maker tags files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the doxygen tags files for the
 qtquickeffectmaker documentation.

Package: qt6-quickeffectmaker-doc-html
Architecture: all
Section: doc
Depends: qt6-base-doc-html, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 Quick Effect Maker HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for Qt 6 Quick Effect Maker.

Package: qt6-quickeffectmaker-examples
Architecture: any
Multi-Arch: same
Section: misc
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick Effect Maker examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the examples for the Qt Quick Effect Maker submodule.

## qt6-quickeffectmaker 6.8.3

=== debian/changelog ===
qt6-quickeffectmaker (6.8.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 27 Mar 2025 22:26:04 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qt6-quickeffectmaker
 Section: devel
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
@@ -10,13 +11,13 @@
                libxkbcommon-dev,
                ninja-build,
                pkgconf,
-               qt6-base-dev (>= 6.8.2+dfsg~),
-               qt6-base-private-dev (>= 6.8.2+dfsg~),
-               qt6-declarative-dev (>= 6.8.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.8.2+dfsg~),
-               qt6-quick3d-dev (>= 6.8.2~),
-               qt6-quick3d-private-dev (>= 6.8.2~),
-               qt6-shadertools-dev (>= 6.8.2~),
+               qt6-base-dev (>= 6.8.3+dfsg~),
+               qt6-base-private-dev (>= 6.8.3+dfsg~),
+               qt6-declarative-dev (>= 6.8.3+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.3+dfsg~),
+               qt6-quick3d-dev (>= 6.8.3~),
+               qt6-quick3d-private-dev (>= 6.8.3~),
+               qt6-shadertools-dev (>= 6.8.3~),
 Build-Depends-Indep: qdoc-qt6 (>= 6.8~) <!nodoc>,
                      qt6-base-dev (>= 6.8~) <!nodoc>,
                      qt6-documentation-tools (>= 6.8~) <!nodoc>,

## qt6-quickeffectmaker 6.9.1

=== debian/changelog ===
qt6-quickeffectmaker (6.9.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Do not use ccache on hurd.

 -- Patrick Franz <deltaone@debian.org>  Tue, 26 Aug 2025 18:38:29 +0200

qt6-quickeffectmaker (6.9.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.1).
  * Bump Qt B-Ds to 6.9.1.
  * Bump Standards-Version to 4.7.2 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Fri, 01 Aug 2025 13:27:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,26 @@
 Source: qt6-quickeffectmaker
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-qmldeps,
+               ccache [linux-any],
                cmake (>= 3.24~),
                libxkbcommon-dev,
                ninja-build,
                pkgconf,
-               qt6-base-dev (>= 6.8.3+dfsg~),
-               qt6-base-private-dev (>= 6.8.3+dfsg~),
-               qt6-declarative-dev (>= 6.8.3+dfsg~),
-               qt6-declarative-private-dev (>= 6.8.3+dfsg~),
-               qt6-quick3d-dev (>= 6.8.3~),
-               qt6-quick3d-private-dev (>= 6.8.3~),
-               qt6-shadertools-dev (>= 6.8.3~),
-Build-Depends-Indep: qdoc-qt6 (>= 6.8~) <!nodoc>,
-                     qt6-base-dev (>= 6.8~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.8~) <!nodoc>,
-Standards-Version: 4.7.0
+               qt6-base-dev (>= 6.9.1+dfsg~),
+               qt6-base-private-dev (>= 6.9.1+dfsg~),
+               qt6-declarative-dev (>= 6.9.1+dfsg~),
+               qt6-declarative-private-dev (>= 6.9.1+dfsg~),
+               qt6-quick3d-dev (>= 6.9.1~),
+               qt6-quick3d-private-dev (>= 6.9.1~),
+               qt6-shadertools-dev (>= 6.9.1~),
+Build-Depends-Indep: qdoc-qt6 (>= 6.9~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.9~) <!nodoc>,
+Standards-Version: 4.7.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-quickeffectmaker
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-quickeffectmaker.git

## qt6-quickeffectmaker 6.9.2

=== CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
include(FeatureSummary)

include(.cmake.conf)
project(QQEffectMaker
    VERSION "${QT_REPO_MODULE_VERSION}"
    DESCRIPTION "Qt Quick Effect Maker"
    HOMEPAGE_URL "https://qt.io/"
    LANGUAGES CXX C
)

find_package(Qt6 ${PROJECT_VERSION} CONFIG REQUIRED COMPONENTS BuildInternals Core)
find_package(Qt6 ${PROJECT_VERSION} QUIET CONFIG OPTIONAL_COMPONENTS Gui Quick ShaderTools)
qt_internal_project_setup()

# Quick3DGlslParserPrivate is optional
find_package(Qt6 ${PROJECT_VERSION} OPTIONAL_COMPONENTS Quick3DGlslParserPrivate)
set_package_properties(Qt6Quick3DGlslParserPrivate PROPERTIES
    TYPE OPTIONAL
    PURPOSE "- Enables Syntax Highlighting"
)

if(NOT TARGET Qt::Quick)
    message(NOTICE "Skipping the build as the condition \"TARGET Qt::Quick\" is not met.")
    return()
endif()

if(NOT TARGET Qt::ShaderTools)
    message(NOTICE "Skipping the build as the condition \"TARGET Qt::ShaderTools\" is not met.")
    return()
endif()

if(INTEGRITY OR QNX OR VXWORKS OR WATCHOS)
    message(NOTICE "Skipping the build as the condition \"NOT INTEGRITY AND NOT QNX AND NOT VXWORKS AND NOT WATCHOS\" is not met.")
    return()
endif()

# Note: Temporarily build only for Windows and macOS
#if(NOT WIN32 AND NOT MACOS)
#    message(NOTICE "Skipping the build as the condition \"WIN32 OR MACOS\" is not met.")
#    return()
#endif()

if(WASM)
    message(NOTICE "Skipping the build as the condition \"NOT WASM\" is not met.")
    return()
endif()

if(CMAKE_CROSSCOMPILING)
    message(NOTICE "Skipping the build as the condition \"NOT CMAKE_CROSSCOMPILING\" is not met.")
    return()
endif()

# Copy nodes content
set(nodes_folders
    "nodes/basic"
    "nodes/common"
    "nodes/extra"
    "nodes/images"
    "nodes/nature"
)

qt_build_repo()

qt_path_join(nodes_path "${QT_INSTALL_DIR}" "${INSTALL_QMLDIR}/QtQuickEffectMaker/defaultnodes")
message(NOTICE "Nodes path: ${nodes_path}")
qt_copy_or_install(DIRECTORY ${nodes_folders} DESTINATION ${nodes_path})

=== src/doc/CMakeLists.txt ===
add_library(QtQuickEffectMakerDoc INTERFACE)
qt_internal_add_docs(QtQuickEffectMakerDoc
    qtquickeffectmaker.qdocconf
)

=== debian/changelog ===
qt6-quickeffectmaker (6.9.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Enable ccache only whhen build in corresponding build profile.
  * Drop Rules-Requires-Root: no, not needed any more.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Nov 2025 23:51:38 +0100

qt6-quickeffectmaker (6.9.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 22 Sep 2025 21:13:58 +0200

qt6-quickeffectmaker (6.9.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.2).
  * Bump Qt B-Ds to 6.9.2.

 -- Patrick Franz <deltaone@debian.org>  Sun, 14 Sep 2025 09:07:32 +0200

=== debian/control ===
--- 
+++ 
@@ -3,21 +3,19 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
-Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-qmldeps,
-               ccache [linux-any],
                cmake (>= 3.24~),
                libxkbcommon-dev,
                ninja-build,
                pkgconf,
-               qt6-base-dev (>= 6.9.1+dfsg~),
-               qt6-base-private-dev (>= 6.9.1+dfsg~),
-               qt6-declarative-dev (>= 6.9.1+dfsg~),
-               qt6-declarative-private-dev (>= 6.9.1+dfsg~),
-               qt6-quick3d-dev (>= 6.9.1~),
-               qt6-quick3d-private-dev (>= 6.9.1~),
-               qt6-shadertools-dev (>= 6.9.1~),
+               qt6-base-dev (>= 6.9.2+dfsg~),
+               qt6-base-private-dev (>= 6.9.2+dfsg~),
+               qt6-declarative-dev (>= 6.9.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.9.2+dfsg~),
+               qt6-quick3d-dev (>= 6.9.2~),
+               qt6-quick3d-private-dev (>= 6.9.2~),
+               qt6-shadertools-dev (>= 6.9.2~),
 Build-Depends-Indep: qdoc-qt6 (>= 6.9~) <!nodoc>,
                      qt6-documentation-tools (>= 6.9~) <!nodoc>,
 Standards-Version: 4.7.2

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all  optimize=+lto

# enable ccache with corresponding build-profile
ifneq ($(filter ccache,$(DEB_BUILD_PROFILES)),)
	extra_cmake_args += -DQT_USE_CCACHE=ON
endif

%:
	dh $@ --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		--log-level=STATUS \
		$(extra_cmake_args)

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-indep:
	DESTDIR=$(CURDIR)/debian/tmp dh_auto_build -- install_docs
	# Remove build path from index files.
	find $(CURDIR)/debian/tmp/usr/share/qt6/doc -type f -name *.index -exec \
                sed -i 's@$(CURDIR)/@@g' {} \;

## qt6-quickeffectmaker 6.9.3

=== debian/changelog ===
qt6-quickeffectmaker (6.9.3-0zneon+24.04+noble+release+build14) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 05 Nov 2025 00:54:44 +0000

qt6-quickeffectmaker (6.9.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 04 Nov 2025 18:48:18 +1000

qt6-quickeffectmaker (6.9.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 29 Aug 2025 16:30:08 +1000

qt6-quickeffectmaker (6.9.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Thu, 10 Jul 2025 00:34:18 +1000

qt6-quickeffectmaker (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 02 May 2025 01:32:21 +1000

qt6-quickeffectmaker (6.8.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 11 Apr 2025 23:23:29 +1000

qt6-quickeffectmaker (6.8.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 09 Feb 2025 09:29:51 +1000

qt6-quickeffectmaker (6.8.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 08 Dec 2024 08:54:10 +1000

qt6-quickeffectmaker (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 24 Jul 2024 21:03:12 +1000

qt6-quickeffectmaker (6.7.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sat, 17 Feb 2024 00:42:04 +1000

qt6-quickeffectmaker (6.6.1-0neon) jammy; urgency=medium

  [ Patrick Franz ]
  * New release

  [ Carlos De Maine ]
  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 10 Dec 2023 13:48:52 +1000

qt6-quickeffectmaker (6.5.3-0neon) UNRELEASED; urgency=medium

  * New release

 -- Patrick Franz <deltaone@debian.org>  Mon, 03 Apr 2023 16:58:29 +0100

=== debian/control ===
Source: qt6-quickeffectmaker
Section: libs
Priority: optional
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libgl-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               libxkbcommon-dev,
               mold,
               ninja-build,
               pkg-kde-tools,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev (>= 6.9.3~),
               qt6-declarative-dev (>= 6.9.3~),
               qt6-quick3d-dev (>= 6.9.3~),
               qt6-shadertools-dev (>= 6.9.3~),
               xauth <!nocheck>,
               xvfb <!nocheck>
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/qt6/qt6-quickeffectmaker.git
Vcs-Browser: https://invent.kde.org/neon/qt6/qt6-quickeffectmaker
Maintainer: Neon CI <neon@kde.org>

Package: qt6-quickeffectmaker
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-declarative,
         qt6-quick3d,
         qt6-shadertools,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: qt6-qtquickeffectmaker
Replaces: qt6-qtquickeffectmaker
Description: Qt Quick Effect Maker
 Qt Quick Effect Maker is a tool for creating shader effects for Qt
 Quick with high productivity and performance. You can run Qt Quick
 Effect Maker as a standalone tool but it is also included in Qt
 Design Studio.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

# Use already defined DEB_HOST_* variables.
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_MESSAGE_LOG_LEVEL=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		-DCMAKE_INTERPROCEDURAL_OPTIMIZATION=ON \
		-DQT_NO_PRIVATE_MODULE_WARNING=ON \
		-DQT_UNITY_BUILD=ON \
		$(extra_cmake_args)

=== debian/watch ===
version=4
opts=uversionmangle=s/-/~/ \
https://mirror.netcologne.de/qtproject/official_releases/qt/([\d\.]+)/([\d\.]+)(\d)/submodules/qtquickeffectmaker-everywhere-src-([\d\.]+\d).tar.xz

## qt6-quickeffectmaker 6.10.0

=== debian/changelog ===
qt6-quickeffectmaker (6.10.0-0zneon+24.04+noble+unstable+build16) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 17 Nov 2025 09:11:39 +0000

qt6-quickeffectmaker (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 15 Nov 2025 15:33:41 +1000

=== debian/control ===
--- 
+++ 
@@ -13,10 +13,10 @@
                pkg-kde-tools,
                pkg-kde-tools-neon,
                pkgconf,
-               qt6-base-dev (>= 6.9.3~),
-               qt6-declarative-dev (>= 6.9.3~),
-               qt6-quick3d-dev (>= 6.9.3~),
-               qt6-shadertools-dev (>= 6.9.3~),
+               qt6-base-dev (>= 6.10.0~),
+               qt6-declarative-dev (>= 6.10.0~),
+               qt6-quick3d-dev (>= 6.10.0~),
+               qt6-shadertools-dev (>= 6.10.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>
 Standards-Version: 4.6.2

## qt6-quickeffectmaker 6.10.1

=== debian/changelog ===
qt6-quickeffectmaker (6.10.1-0zneon+24.04+noble+unstable+build18) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 29 Nov 2025 07:14:05 +0000

qt6-quickeffectmaker (6.10.1-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 29 Nov 2025 07:56:03 +1000

=== debian/control ===
--- 
+++ 
@@ -13,10 +13,10 @@
                pkg-kde-tools,
                pkg-kde-tools-neon,
                pkgconf,
-               qt6-base-dev (>= 6.10.0~),
-               qt6-declarative-dev (>= 6.10.0~),
-               qt6-quick3d-dev (>= 6.10.0~),
-               qt6-shadertools-dev (>= 6.10.0~),
+               qt6-base-dev (>= 6.10.1~),
+               qt6-declarative-dev (>= 6.10.1~),
+               qt6-quick3d-dev (>= 6.10.1~),
+               qt6-shadertools-dev (>= 6.10.1~),
                xauth <!nocheck>,
                xvfb <!nocheck>
 Standards-Version: 4.6.2

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,5 @@
 		-DCMAKE_MESSAGE_LOG_LEVEL=STATUS \
 		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
 		-DCMAKE_INTERPROCEDURAL_OPTIMIZATION=ON \
-		-DQT_NO_PRIVATE_MODULE_WARNING=ON \
 		-DQT_UNITY_BUILD=ON \
 		$(extra_cmake_args)

## qt6-quickeffectmaker 6.10.2

=== debian/changelog ===
qt6-quickeffectmaker (6.10.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.10.2).
  * Bump Qt B-Ds to 6.10.2.
  * Update d/watch to format version 5.
  * Bump Standards-Version to 4.7.3 (no changes needed).
  * Remove Priority: optional, not needed anymore.

 -- Patrick Franz <deltaone@debian.org>  Sat, 07 Feb 2026 19:22:09 +0100

=== debian/control ===
Source: qt6-quickeffectmaker
Section: devel
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-qmldeps,
               cmake (>= 3.24~),
               libxkbcommon-dev,
               ninja-build,
               pkgconf,
               qt6-base-dev (>= 6.10.2+dfsg~),
               qt6-base-private-dev (>= 6.10.2+dfsg~),
               qt6-declarative-dev (>= 6.10.2+dfsg~),
               qt6-declarative-private-dev (>= 6.10.2+dfsg~),
               qt6-quick3d-dev (>= 6.10.2~),
               qt6-quick3d-private-dev (>= 6.10.2~),
               qt6-shadertools-dev (>= 6.10.2~),
Build-Depends-Indep: qdoc-qt6 (>= 6.10~) <!nodoc>,
                     qt6-documentation-tools (>= 6.10~) <!nodoc>,
Standards-Version: 4.7.3
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-quickeffectmaker
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-quickeffectmaker.git

Package: qqem-qt6
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick Effect Maker
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Quick Effect Maker, an editor for creating
 and editing custom shader effects.

Package: qt6-quickeffectmaker-doc
Architecture: all
Section: doc
Depends: qt6-base-doc, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 Quick Effect Maker documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for Qt 6 Quick Effect Maker.

Package: qt6-quickeffectmaker-doc-dev
Architecture: all
Section: libdevel
Depends: ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 Quick Effect Maker tags files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the doxygen tags files for the
 qtquickeffectmaker documentation.

Package: qt6-quickeffectmaker-doc-html
Architecture: all
Section: doc
Depends: qt6-base-doc-html, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 Quick Effect Maker HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for Qt 6 Quick Effect Maker.

Package: qt6-quickeffectmaker-examples
Architecture: any
Multi-Arch: same
Section: misc
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick Effect Maker examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the examples for the Qt Quick Effect Maker submodule.

=== debian/watch ===
Version: 5

Source: https://download.qt.io/archive/qt/([\d\.]*)/([\d\.]*)/submodules/
Matching-Pattern: qtquickeffectmaker-everywhere-src-(.*)\.tar\.xz
